Bug 1297214 - Xiphos does not launch in Fedora 23
Xiphos does not launch in Fedora 23
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
23
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-10 11:40 EST by Ervin
Modified: 2016-04-01 11:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-01 11:34:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ervin 2016-01-10 11:40:13 EST
Description of problem:
I installed Xiphos through gnome-software. Xiphos installs or appears to install, not sure, but fails to launch afterwards.  The xiphos icon is also not present in the app drawer after installation is finished. 

Version-Release number of selected component (if applicable):
4.0.4-1.fc23 Version for Xiphos

How reproducible:
Always


Steps to Reproduce:
1.Install Xiphos from gnome-software
2.Click launch on gnome-software after the installation is complete


Actual results: Xiphos fails to launch and can't  be find in the app drawer either. 


Expected results:Xiphos should launch normally and should be found in the app drawer like every app that gets installed. 


Additional info:
I installed Xiphos using Yumex and I chose the gtk3 package. Xiphos got installed and launchs normally. 
However I also installed Bible-time another app similar to Xiphos at the same time. I have noticed that Xiphos and Bible-Time can sometimes use similar libraries, such as downloaded and installed bibles. 
I did not try installing Xiphos without installing Bible-Time at the same time. 
However I removed Bible-Time and Xiphos still works normally. 
Not sure and can't know if there is any relation or if there is a missing package that Bible-Time provides that causes Xiphos to work.
Comment 1 Ervin 2016-01-10 11:42:33 EST
I forgot to mention that there are two Xiphos packages, one gtk2 and one gtk3. 
I have not tested the gtk2 package from Yumex.
Comment 2 Richard Hughes 2016-01-11 07:43:25 EST
(In reply to Ervin from comment #1)
> I forgot to mention that there are two Xiphos packages, one gtk2 and one
> gtk3. 
> I have not tested the gtk2 package from Yumex.

Is it plausible the GTK3 one does not work?
Comment 3 Ervin 2016-01-11 10:08:02 EST
Well the GTK3 version works, and worked when installed from Yumex. 
I don't have the option to choose between Gtk2 and Gtk3 in gnome-software so I don't know which package gnome-software installed. 
Let me know if you need me to do another test. 
However I think it must be a missing dependency.
Comment 4 pckeving2 2016-02-09 18:44:38 EST
After upgrading with fedup to fedora 22 Xiphos would not launch.
Erased and reinstalled xiphos-gtk3. Still will not launch from menu.
Wait icon hangs for 20 seconds then disappears.
Does launch from terminal with this error:
GConf Error: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Comment 5 Richard Hughes 2016-04-01 11:34:11 EDT
I don't think this is a GNOME Software bug, sorry.

Note You need to log in before you can comment on or make changes to this bug.